/*
 * Copyright (c) 2011, Oracle and/or its affiliates. All rights reserved.
 */

package com.sun.rain.shapes;

public class Point
{
    private float x, y;

    public Point()
    {
        this(0.0f, 0.0f);
    }
    public Point(float x, float y)
    {
        this.x = x;
        this.y = y;
    }

    public float getX()
    {
        return this.x;
    }

    public float getY()
    {
        return this.y;
    }

    @Override
    public String toString()
    {
        return  "Point:"+"\n"+
                "    x:"+getX()+"\n"+
                "    y:"+getY()+"\n";
    }
}
